@mixin grid() {
  display: grid;
  grid-column-gap: $spacer-default;
}

%grid {
  @include grid();
}

.grid {
  &--show {
    @extend %grid;

    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr;

    @include respond-to(small) {
      grid-template-columns: 1fr;
      grid-template-rows: auto 1fr;
    }

    .side-panel {
      > .panel {
        margin-bottom: 0;
      }
    }

    .content {
      grid-area: 1 / 2 / 2 / 5;
      overflow: auto;

      @include respond-to(small) {
        grid-area: 2 / 1 / 2 / 1;
      }

      > article {
        margin-bottom: $spacer-default;
      }
    }
  }

  &-2 {
    > :first-child {
      margin-bottom: $spacer-default;
    }
  }
}

@include respond-to('small-up') {
  .grid-2 {
    @include grid();

    grid-template-columns: repeat(2, 1fr);

    > :first-child {
      margin-bottom: 0;
    }
  }
}
